<!-- -*- mode: markdown; mode: flyspell -*- -->
# labs-etc-ssh-config

## etc-ssh-config-wizard-maintainer
This program maintains the global extra `/etc/ssh/` config with the
generated known_hosts and ssh-config.

### Usage
```
usage: etc-ssh-config-wizard-maintainer [options] <install/purge>

  This program maintains (installs and purges) global ssh_known_hosts
  entries and /etc/ssh/ssh_config.d/ extra configs.

  options:
  -d <domain>  .. use this as subdomain for local config
  -D           .. do not install a local config
  -h           .. show this message and exit
  -n <name>    .. name for generated files prefix and comment (mandatory)
  -s <path>    .. source path to the additional config files
                  (mandatory for install)
  -t <path>    .. target path to /etc/ssh (mandatory)
  -v <hash>    .. hash value for comment identification

  -d and -D are mutually exclusive!
```

## etc-ssh-config-wizard-sourcerer
This program creates ssh config files and a known_hosts file for global
ssh-config. This files will then be used to create a package, which will
use `etc-ssh-config-wizard-maintainer` to maintain the extra config in
`/etc/ssh/`.

which will be stored in `/etc/ssh/ssh_config.d/` and global
known_hosts `/etc/ssh/ssh_known_hosts`.

IP addresses come from the lab specific dnsmasq.


### Usage

```
usage: etc-ssh-config-wizard-sourcerer [options] <labs>

  This program creates a known_hosts file and additional ssh-config
  files for global usage.

  options:
  -c <comment> .. extra comment for config head and known_host line suffix
  -d <file>    .. extra ip addresses that cannot be resolved in the format:
                  ip fqdn1 fqdn2 ...
  -e <file>    .. file with extra shorthosts in the format:
                  shorthost extrahost1 extrahost2 ...
  -f <file>    .. file with extra fqdns in the format:
                  fqdn extrafqdn1 extrafqdn2 ...
  -h           .. show this message and exit
  -i <fqdn/ip> .. use fqdn or ip address as HostName
  -I           .. disable CheckHostIP
  -k <path>    .. path to the public_key collection (mandatory)
  -n <name>    .. name for generated files prefix and comment (mandatory)
  -t <path>    .. target path to where the files should get created
                  (mandatory)

  For each <subdomain> a subfolder in the public_key collection must be
  present.
```


